
Redmine - Feature #4347

Contributing to an issue should automatically add the user to the watchers list

2009-12-06 17:01 - Kamil .

Status: Closed Start date: 2009-12-06

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed   

Description

When an user replies to an issue, he/she is definatelly interested in it, so I think that it is natural to add him/her to watchers list

automatically, so he/she could obtain notification e-mails.

Related issues:

Related to Redmine - Feature #1737: autowatch issues Closed 2008-08-03

Related to Redmine - Feature #2716: User option to automatically add assignee... New 2009-02-11

Related to Redmine - Feature #38238: Auto watch issues on issue creation Closed

Has duplicate Redmine - Feature #8523: "Notify if I'm involved" should trip i... Closed

Has duplicate Redmine - Feature #11520: Make issue be watched automatically w... Closed

Has duplicate Redmine - Feature #11405: Add users as watcher when they leave ... Closed

Associated revisions

Revision 21469 - 2022-03-19 11:14 - Marius BĂLTEANU

Automatically add the user to the watchers list after contributing to an issue (#4347). User can enable/disable this feature from My Account.

Patch by Takenori TAKAKI and Jens Krämer.

Revision 21470 - 2022-03-19 12:27 - Marius BĂLTEANU

Add missing partial (#4347).

Revision 21471 - 2022-03-19 13:30 - Marius BĂLTEANU

Add locales (#4347).

History

#1 - 2009-12-06 19:32 - Udit Sajjanhar

Rather than doing it for any user who leaves comment, there could be a "Watch this issue" check box in the Update issue form.

The admin can choose whether this checkbox will be checked or unchecked by default.

WDYT?

#2 - 2009-12-06 19:55 - Felix Schäfer

Well, I wouldn't mind being made watcher by default, as is already the case for the forum, but I'm not sure that would fly for everyone. On the other

hand, I'm not sure if it should be an option for every response or comment you give, because most of the time, you have a personal default for such

things. What about making it a user preference, i.e. "I want to watch Issues and Forum Threads to which I respond" or something like that?

#3 - 2009-12-06 20:16 - Kamil .

Felix Schäfer wrote:

"I want to watch Issues and Forum Threads to which I respond" or something like that?

 Nice idea

#4 - 2009-12-07 02:23 - Robert Chady

FYI, I wrote a plugin called auto_watchers that almost does this for you.  It currently adds people that the issue gets assigned to OR any person that

modifies the issue as watchers.  It is available on my github account at http://github.com/rchady.  No promises on it, but for my use it has been
working well.  Personally, I feel that features like this one should be kept in a plugin rather than added to the core, just my $.02.

#5 - 2009-12-07 05:15 - Udit Sajjanhar

Kamil . wrote:

Felix Schäfer wrote:

"I want to watch Issues and Forum Threads to which I respond" or something like that?

 Nice idea

+1 for this

#6 - 2009-12-07 12:55 - Kamil .

Robert Chady wrote:

I feel that features like this one should be kept in a plugin rather than added to the core, just my $.02.

 I do not agree. This should be a basic functionality (like in the forum)

#7 - 2009-12-07 20:49 - Jean-Philippe Lang

- Category set to Issues

#8 - 2010-05-12 16:32 - Fernando Hartmann

+1 it's very useful

#9 - 2010-05-12 22:06 - Adam Piotr Żochowski

Allow this to be a triple setup

Per whole system (any reply becomes watcher)

Per project (only replies to specific projects make a person a watcher)

per person (only people that want to be watchers on a reply become watchers)

Different people/projects might operate on different setups.

#10 - 2011-01-05 11:27 - Paul Dann

This seems like a really important feature to me; I was surprised to discover that there hasn't been much work on this so far.  Any chance of

increasing the priority on this?

#11 - 2011-06-03 22:37 - Sebastian M

About to give rchady's plugin a shot. Looks good. Thanks.

#12 - 2015-09-30 22:30 - Jimmy Praet

+1

#13 - 2016-03-24 10:20 - Go MAEDA

- Has duplicate Feature #11520: Make issue be watched automatically when posting to it added

#14 - 2016-03-24 10:21 - Go MAEDA

- Has duplicate Feature #11405: Add users as watcher when they leave a comment (Bugzilla parity) added

#15 - 2016-03-24 10:23 - Go MAEDA

- Related to Feature #1737: autowatch issues added

#16 - 2016-08-25 17:22 - Oscar Santos

+1 We really need this functionality. The plugins that were developed for this are no longer compatible and have not been updated to support the

latest versions of Redmine. Please implement this Auto Watch feature. Thank you.

#17 - 2016-10-28 13:35 - Tobias Fischer
This is a duplicate of older issue #2716

#18 - 2016-10-28 13:55 - Tobias Fischer

# And wrote in #2716-12:

Try it out: https://github.com/logical-and/redmine_auto_watch. Watchers added on issue update and issue create from: author, assignee,

previous assignee if any.

 I can confirm that the forked and enhanced version of this plugin which can be found at https://github.com/mephi-ut/redmine_auto_watch works

very well for Redmine 3.3.1

#19 - 2016-10-31 14:47 - Toshi MARUYAMA

- Related to Feature #2716: User option to automatically add assignee to watchers added

#20 - 2019-03-07 01:45 - Takenori TAKAKI

- File my-account.png added

- File users-new.png added

- File enable-to-setting-auto-watch-by-account.patch added

I propose the following features for auto watch.

User is added as a watcher automatically, When adding a comment to an issue.

Enable to select "Auto watch" ON / OFF on Account Settings (Default is ON).

When adding a feature, the existing users's setting is OFF, and After adding a feature, the newly created user's setting is ON by default.

I made a patch and attach it.

('my/account' screen)

 my-account.png 

('users/new' screen)

 users-new.png 

#21 - 2019-03-07 10:08 - Kamil .

nice!

#22 - 2019-03-09 06:08 - Mitsuyoshi Kawabata

Great!

#23 - 2019-03-21 16:18 - Go MAEDA

- Target version set to Candidate for next major release

#24 - 2019-06-25 03:14 - Akihiro YAMAKAWA

+1 Great work!

#25 - 2019-06-25 23:09 - Vasili Korol

This is a very nice feature indeed. I suggest re-phrasing "Issues I added notes" to "Issues I comment on".

#26 - 2020-02-20 11:43 - Matthias Reinhardt

+1

#27 - 2021-04-21 05:02 - Jens Krämer

- File 0001-auto-watch-issues-a-user-contributes-to.patch added

- File autowatch.png added

+1

I rebased the patch on current master and slightly changed wording and layout of the user setting:
autowatch.png 
#28 - 2021-04-21 05:07 - Jens Krämer

- File 0001-auto-watch-issues-a-user-contributes-to.patch added

please discard the previous patch, it contained some unnecessary files. here's the correct patch.

#29 - 2021-04-21 06:36 - Go MAEDA

- File deleted (0001-auto-watch-issues-a-user-contributes-to.patch)

#30 - 2021-04-30 12:41 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#31 - 2021-05-03 23:05 - Marius BĂLTEANU

The patch proposed add the current user as watcher for any action made on the issue, not only for "add notes" action. To reproduce, edit an issue

attribute without adding any note and observe that the current user is added to the watcher list.

Is this the expected behaviour? Or we should have more granular actions: add note (this issue), assigned to me (#2716) and all actions (the

behaviour implemented by the proposed patch).

#32 - 2022-02-21 21:51 - Walter Thompson

Is there a version of this that would work with Redmine Version 4.2.3.stable?

#33 - 2022-03-18 19:40 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

#34 - 2022-03-19 11:16 - Marius BĂLTEANU

- Status changed from New to Resolved

- Resolution set to Fixed

Patch committed with a slight change, I've renamed the internal option name from add_note to issue_contributed_to in order to match the behaviour

and allow future developments.

If it's really required, we can add more granular options, but for now I think it's enough.

#35 - 2022-03-19 11:17 - Marius BĂLTEANU

- Subject changed from Replying to an issue should automatically add the user to the watchers list to Contributing to an issue should automatically add

the user to the watchers list

#36 - 2022-03-19 13:30 - Marius BĂLTEANU

- Status changed from Resolved to Closed

#37 - 2023-02-03 08:03 - Go MAEDA

- Related to Feature #38238: Auto watch issues on issue creation added
